Summary: NAT (Firewalling, Packet filtering, etc.) tool for kernels >= 2.3
Name: netfilter
%define nfver 0.1.18
%define kver  2.3.47
Version: %{nfver}_%{kver}
Release: 1
Group: Applications/Networking
Copyright: GPL
URL: http://netfilter.kernelnotes.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://netfilter.kernelnotes.org/netfilter-%{nfver}.tar.bz2
BuildRoot: /var/tmp/%{name}-root

%description
Starting from kernel 2.3.14, netfilter controls firewalling and packet
filtering. It replaces ipchains and bpfilter.

*** THIS IS FOR USE WITH DEVELOPMENT KERNELS ONLY. DO NOT TRY TO USE IT
*** WITH 2.2.x KERNELS!!!


%prep
%setup -q -n %{name}-%{nfver}


%build
export KERNEL_DIR=/usr/src/kernel/linux-%{kver}
make BINDIR=/usr/bin MANDIR=/usr/man LIBDIR=/usr/lib
cd HOWTO
for i in *.dvi; do
	dvips $i -o
done
gzip -9f *.ps


%install
make BINDIR=/usr/bin MANDIR=/usr/man LIBDIR=/usr/lib \
	DESTDIR=$RPM_BUILD_ROOT install


%files
%defattr(-,root,root)
%doc COPYING ChangeLog* README TODO original-post.txt
%doc HOWTO/*.ps.gz
/lib/modules/%{kver}/net/*
/usr/bin/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

